<?php
if(!empty($_POST['cancelar']) and !empty($_POST['cancelar'])) 
{
    $pen_id=$_POST['pen_id'];
    $can7=mysqli_query($con,"SELECT * FROM pedido WHERE pen_id='$pen_id'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $mesa_id=$dato['mesa_id'];
    $sql=mysqli_query($con,"UPDATE mesas Set mes_estado='Libre' Where mes_id='$mesa_id'") or die(mysqli_error($con)); 

  
    /*  
    $sql=mysqli_query($con,"DELETE FROM sabores_pedido_temp WHERE pedido_pen_id='$pen_id'") or  die(mysqli_error($con)); 
    $sql=mysqli_query($con,"DELETE FROM pedido_detalle WHERE pedido_pen_id='$pen_id'") or  die(mysqli_error($con)); 
    $sql=mysqli_query($con,"DELETE FROM sabores_pedido_combos_temp WHERE pedido_pen_id='$pen_id'") or  die(mysqli_error($con)); 
    $sql=mysqli_query($con,"DELETE FROM pedido_detalle_combo WHERE pedido_pen_id='$pen_id'") or  die(mysqli_error($con)); 
    $sql=mysqli_query($con,"DELETE FROM pedido WHERE pen_id='$pen_id'") or  die(mysqli_error($con)); 
    */

    $registros=mysqli_query($con,"UPDATE pedido Set usuario_eliminador='$usu_id', pen_estado='Eliminado' Where pen_id='$pen_id'") or die(mysqli_error($con));
    $registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_estado='eliminado' Where pedido_pen_id='$pen_id'") or die(mysqli_error($con));
    $registros=mysqli_query($con,"UPDATE pedido_detalle_combo Set pend_estado='eliminado' Where pedido_pen_id='$pen_id'") or die(mysqli_error($con));

    echo '<script>location.href = "P_turno.php";</script>';
               
}
?> 
<div id="cancelar" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
                <form name="form1" method="post" action="">
                    <input type="hidden" name="pen_id" value="<?php echo $pen_id; ?>">
                    <div class="alert alert-danger alert-dismissable">
                        <strong>Desea realmente cancelar el pedido !</strong> <a href="#" class="alert-link"></a>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">NO</button>
                        <button name="cancelar" value="cancelar" type="submit" class="btn btn-danger"><i class="icon-ok"></i> <strong>SI</strong></button>
                    </div>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div> 